Bug 248322 - mail-notification took 98% CPU during mail check when network connection down
mail-notification took 98% CPU during mail check when network connection down
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-15 23:23 EDT by Edmond Hui
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 00:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edmond Hui 2007-07-15 23:23:33 EDT
Description of problem:

When network is down, mail-notification seem struck checking email and took 98%
of CPU.

Version-Release number of selected component (if applicable):


How reproducible:

often

Steps to Reproduce:
1. setup mail-notification to check email every 15 min (I have gmail and POP3)
2. disconnect network
3. wait for the next mail check, run top to see mail-notification used up all CPU %
  
Actual results:

98% of CPU is used by mail-notification as reported by top

Expected results:

it should continue to check email, but CPU usage should be much lower.

Additional info:
Comment 1 Thorsten Leemhuis 2007-07-16 00:41:06 EDT
This is likely not a Fedora-specific problem. Thus I'd like to ask you to
participate upstream to help getting this fixed for all distributions.

There is a bug already; see
https://savannah.nongnu.org/bugs/?18367

The upstream maintainer is looking for somebody who find a good way to reproduce
it (I've seen the problem myself in the past, but only very sporadically)

Note that there is mail-notification 4.1 in updates-testing; it should land in
update-proper with the next push. Try that one please as well.
Comment 2 Edmond Hui 2007-07-16 18:08:29 EDT
I will test the latest (just received it over yum) and report back.

Thanks for the help

Note You need to log in before you can comment on or make changes to this bug.